curl --request PATCH \
--url "https://api.us.nylas.com/v3/notetakers/<NOTETAKER_ID>" \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <NYLAS_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"name": "Nylas Notetaker",
"join_time": 1732657774,
"meeting_settings": {
"action_items": true,
"action_items_settings": {
"custom_instructions": "Only return the 5 most important action items."
},
"audio_recording": true,
"summary": true,
"summary_settings": {
"custom_instructions": "Return this summary in the MEDPIC sales methodology."
},
"transcription": true,
"transcription_settings": {
"expected_languages": ["en", "es"],
"fallback_language": "en"
},
"video_recording": true
}
}'
Sign in and select an app and grant, then add any required auth token, to auto-fill these placeholders with your real values.